org.apache.cassandra.cql3.functions

## Interface Function

- All Known Implementing Classes:
    AbstractFunction, TokenFct

      public interface Function

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Function.Factory`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<AbstractType<?>>` | `argsType()`
    `java.nio.ByteBuffer` | `execute(java.util.List<java.nio.ByteBuffer> parameters)`
    `boolean` | `isPure()`
    `java.lang.String` | `name()`
    `AbstractType<?>` | `returnType()`

- - ### Method Detail

    - #### name

          java.lang.String name()

    - #### argsType

          java.util.List<AbstractType<?>> argsType()

    - #### returnType

          AbstractType<?> returnType()

    - #### execute

          java.nio.ByteBuffer execute(java.util.List<java.nio.ByteBuffer> parameters)
                                      throws InvalidRequestException

      Throws:
        `InvalidRequestException`

    - #### isPure

          boolean isPure()

Copyright © 2014 The Apache Software Foundation